import{s as qe,n as ze,o as Fe}from"../chunks/scheduler.b108d059.js";import{S as Je,i as Oe,g as i,s as l,r as d,A as Qe,h as o,f as n,c as s,j as Ie,u as p,x as u,k as Se,y as Ne,a,v as m,d as f,t as h,w as c}from"../chunks/index.008de539.js";import{C as We}from"../chunks/CodeBlock.3968c746.js";import{H as O,E as Be}from"../chunks/EditOnGithub.d1c48e3d.js";function Ge(ge){let r,W,Q,B,y,G,b,ve='To build a leaderboard, the easiest is to look at our demo templates <a href="https://huggingface.co/demo-leaderboard-backend" rel="nofollow">here</a>',R,g,Z,v,$e="Our demo leaderboard template contains 4 sections: two spaces and two datasets.",D,$,we="<li>The <code>frontend space</code> displays the results to users, contains explanations about evaluations, and optionally can accept model submissions.</li> <li>The <code>requests dataset</code> stores the submissions of users, and the status of model evaluations. It is updated by the frontend (at submission time) and the backend (at running time).</li> <li>The <code>results dataset</code> stores the results of the evaluations. It is updated by the backend when evaluations are finished, and pulled by the frontend for display.</li> <li>The <code>backend space</code> is optional, if you run evaluations manually or on your own cluster. It looks at currently pending submissions, and launches their evaluation using either the Eleuther AI Harness (<code>lm_eval</code>) or HuggingFace’s <code>lighteval</code>, then updates the evaluation status and stores the results. It needs to be edited with your own evaluation suite to fit your own use cases if you use something more specific.</li>",V,w,X,M,Me="You should copy the two spaces and the two datasets to your org to get started with your own leaderboard!",Y,C,K,x,Ce="To get started on your own front end leaderboard, you will need to edit 2 files:",ee,j,xe="<li>src/envs.py to define your own environment variable (like the org name in which this has been copied)</li> <li>src/about.py with the tasks and number of few_shots you want for your tasks</li>",te,k,ne,_,je="Once this is done, you need to edit the “fake results” file to fit the format of your tasks: in the sub dictionary <code>results</code>, replace task_name1 and metric_name by the correct values you defined in Tasks above.",ae,T,le,A,ke="At this step, you should alread have some results displayed in the front end!",se,L,_e="Any more model you want to add will need to have a file in request and one in result, following the same template as already present files.",ie,U,oe,P,Te=`If you plan on running your evaluations on spaces, you then need to edit the backend to run the evaluations most relevant for you in the way you want.
Depending on the suite you want to learn, this is the part which is likely to take the most time.`,ue,H,Ae="However, this is optional if you only want to use the leaderboard to display results, or plan on running evaluations manually/on your own compute source.",re,E,de,I,Le="Leaderboards setup in the above fashion are adjustable, from providing fully automated evaluations (a user submits a model, it is evaluated, etc) to fully manual (every new evaluation is ran with human control) to semi-automatic.",pe,S,Ue="When running the backend in Spaces, you can either :",me,q,Pe="<li>upgrade your backend space to the compute power level you require, and run your evaluations locally (using <code>lm_eval</code>, <code>lighteval</code>, or your own evaluation suite); this is the most general solution across evaluation types, but it will limit you in terms of model size possible, as you might not be able to fit the biggest models in the backend</li> <li>use a suite which does model inference using API calls, such as <code>lighteval</code> which uses <code>inference-endpoints</code> to automatically spin up models from the hub for evaluation, allowing you to scale the size of your compute to the current model.</li>",fe,z,He="If you run evaluations on your own compute source, you can still grab some of the files from the backend to pull and push the <code>results</code> and <code>request</code> datasets.",he,F,Ee='Once your leaderboard is setup, don’t forget to set its metadata so it gets indexed by our Leaderboard Finder. See “What do the tags mean?” in the <a href="https://huggingface.co/spaces/leaderboards/LeaderboardFinder" rel="nofollow">LeaderboardFinder</a> space.',ce,J,ye,N,be;return y=new O({props:{title:"Building a leaderboard using a template",local:"building-a-leaderboard-using-a-template",headingTag:"h1"}}),g=new O({props:{title:"📏 Contents",local:"-contents",headingTag:"h2"}}),w=new O({props:{title:"🪛 Getting started",local:"-getting-started",headingTag:"h2"}}),C=new O({props:{title:"Setting up the front end",local:"setting-up-the-front-end",headingTag:"h3"}}),k=new O({props:{title:"Setting up fake results to initialize the leaderboard",local:"setting-up-fake-results-to-initialize-the-leaderboard",headingTag:"h3"}}),T=new We({props:{code:"JTIwJTIwJTIwJTIwJTIycmVzdWx0cyUyMiUzQSUyMCU3QiUwQSUyMCUyMCUyMCUyMCUyMCUyMCUyMCUyMCUyMnRhc2tfbmFtZTElMjIlM0ElMjAlN0IlMEElMjAlMjAlMjAlMjAlMjAlMjAlMjAlMjAlMjAlMjAlMjAlMjAlMjJtZXRyaWNfbmFtZSUyMiUzQSUyMDAlMEElMjAlMjAlMjAlMjAlMjAlMjAlMjAlMjAlN0QlMEElMjAlMjAlMjAlMjAlN0Q=",highlighted:`    <span class="hljs-attr">&quot;results&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-punctuation">{</span>
        <span class="hljs-attr">&quot;task_name1&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-punctuation">{</span>
            <span class="hljs-attr">&quot;metric_name&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-number">0</span>
        <span class="hljs-punctuation">}</span>
    <span class="hljs-punctuation">}</span>`,wrap:!1}}),U=new O({props:{title:"Optional: Setting up the backend",local:"optional-setting-up-the-backend",headingTag:"h3"}}),E=new O({props:{title:"🔧 Tips and tricks",local:"-tips-and-tricks",headingTag:"h2"}}),J=new Be({props:{source:"https://github.com/huggingface/leaderboards/blob/main/docs/source/en/leaderboards/building_page.md"}}),{c(){r=i("meta"),W=l(),Q=i("p"),B=l(),d(y.$$.fragment),G=l(),b=i("p"),b.innerHTML=ve,R=l(),d(g.$$.fragment),Z=l(),v=i("p"),v.textContent=$e,D=l(),$=i("ul"),$.innerHTML=we,V=l(),d(w.$$.fragment),X=l(),M=i("p"),M.textContent=Me,Y=l(),d(C.$$.fragment),K=l(),x=i("p"),x.textContent=Ce,ee=l(),j=i("ul"),j.innerHTML=xe,te=l(),d(k.$$.fragment),ne=l(),_=i("p"),_.innerHTML=je,ae=l(),d(T.$$.fragment),le=l(),A=i("p"),A.textContent=ke,se=l(),L=i("p"),L.textContent=_e,ie=l(),d(U.$$.fragment),oe=l(),P=i("p"),P.textContent=Te,ue=l(),H=i("p"),H.textContent=Ae,re=l(),d(E.$$.fragment),de=l(),I=i("p"),I.textContent=Le,pe=l(),S=i("p"),S.textContent=Ue,me=l(),q=i("ul"),q.innerHTML=Pe,fe=l(),z=i("p"),z.innerHTML=He,he=l(),F=i("p"),F.innerHTML=Ee,ce=l(),d(J.$$.fragment),ye=l(),N=i("p"),this.h()},l(e){const t=Qe("svelte-u9bgzb",document.head);r=o(t,"META",{name:!0,content:!0}),t.forEach(n),W=s(e),Q=o(e,"P",{}),Ie(Q).forEach(n),B=s(e),p(y.$$.fragment,e),G=s(e),b=o(e,"P",{"data-svelte-h":!0}),u(b)!=="svelte-1ao62ts"&&(b.innerHTML=ve),R=s(e),p(g.$$.fragment,e),Z=s(e),v=o(e,"P",{"data-svelte-h":!0}),u(v)!=="svelte-2xknn2"&&(v.textContent=$e),D=s(e),$=o(e,"UL",{"data-svelte-h":!0}),u($)!=="svelte-12f0pxb"&&($.innerHTML=we),V=s(e),p(w.$$.fragment,e),X=s(e),M=o(e,"P",{"data-svelte-h":!0}),u(M)!=="svelte-163vzvv"&&(M.textContent=Me),Y=s(e),p(C.$$.fragment,e),K=s(e),x=o(e,"P",{"data-svelte-h":!0}),u(x)!=="svelte-1gm8g6o"&&(x.textContent=Ce),ee=s(e),j=o(e,"UL",{"data-svelte-h":!0}),u(j)!=="svelte-to22yw"&&(j.innerHTML=xe),te=s(e),p(k.$$.fragment,e),ne=s(e),_=o(e,"P",{"data-svelte-h":!0}),u(_)!=="svelte-xk0wlk"&&(_.innerHTML=je),ae=s(e),p(T.$$.fragment,e),le=s(e),A=o(e,"P",{"data-svelte-h":!0}),u(A)!=="svelte-1v9vh84"&&(A.textContent=ke),se=s(e),L=o(e,"P",{"data-svelte-h":!0}),u(L)!=="svelte-1dtkq6w"&&(L.textContent=_e),ie=s(e),p(U.$$.fragment,e),oe=s(e),P=o(e,"P",{"data-svelte-h":!0}),u(P)!=="svelte-1gc8nb7"&&(P.textContent=Te),ue=s(e),H=o(e,"P",{"data-svelte-h":!0}),u(H)!=="svelte-1gpxfde"&&(H.textContent=Ae),re=s(e),p(E.$$.fragment,e),de=s(e),I=o(e,"P",{"data-svelte-h":!0}),u(I)!=="svelte-194q4fp"&&(I.textContent=Le),pe=s(e),S=o(e,"P",{"data-svelte-h":!0}),u(S)!=="svelte-1strb76"&&(S.textContent=Ue),me=s(e),q=o(e,"UL",{"data-svelte-h":!0}),u(q)!=="svelte-eefpar"&&(q.innerHTML=Pe),fe=s(e),z=o(e,"P",{"data-svelte-h":!0}),u(z)!=="svelte-1uifn4a"&&(z.innerHTML=He),he=s(e),F=o(e,"P",{"data-svelte-h":!0}),u(F)!=="svelte-afop3j"&&(F.innerHTML=Ee),ce=s(e),p(J.$$.fragment,e),ye=s(e),N=o(e,"P",{}),Ie(N).forEach(n),this.h()},h(){Se(r,"name","hf:doc:metadata"),Se(r,"content",Re)},m(e,t){Ne(document.head,r),a(e,W,t),a(e,Q,t),a(e,B,t),m(y,e,t),a(e,G,t),a(e,b,t),a(e,R,t),m(g,e,t),a(e,Z,t),a(e,v,t),a(e,D,t),a(e,$,t),a(e,V,t),m(w,e,t),a(e,X,t),a(e,M,t),a(e,Y,t),m(C,e,t),a(e,K,t),a(e,x,t),a(e,ee,t),a(e,j,t),a(e,te,t),m(k,e,t),a(e,ne,t),a(e,_,t),a(e,ae,t),m(T,e,t),a(e,le,t),a(e,A,t),a(e,se,t),a(e,L,t),a(e,ie,t),m(U,e,t),a(e,oe,t),a(e,P,t),a(e,ue,t),a(e,H,t),a(e,re,t),m(E,e,t),a(e,de,t),a(e,I,t),a(e,pe,t),a(e,S,t),a(e,me,t),a(e,q,t),a(e,fe,t),a(e,z,t),a(e,he,t),a(e,F,t),a(e,ce,t),m(J,e,t),a(e,ye,t),a(e,N,t),be=!0},p:ze,i(e){be||(f(y.$$.fragment,e),f(g.$$.fragment,e),f(w.$$.fragment,e),f(C.$$.fragment,e),f(k.$$.fragment,e),f(T.$$.fragment,e),f(U.$$.fragment,e),f(E.$$.fragment,e),f(J.$$.fragment,e),be=!0)},o(e){h(y.$$.fragment,e),h(g.$$.fragment,e),h(w.$$.fragment,e),h(C.$$.fragment,e),h(k.$$.fragment,e),h(T.$$.fragment,e),h(U.$$.fragment,e),h(E.$$.fragment,e),h(J.$$.fragment,e),be=!1},d(e){e&&(n(W),n(Q),n(B),n(G),n(b),n(R),n(Z),n(v),n(D),n($),n(V),n(X),n(M),n(Y),n(K),n(x),n(ee),n(j),n(te),n(ne),n(_),n(ae),n(le),n(A),n(se),n(L),n(ie),n(oe),n(P),n(ue),n(H),n(re),n(de),n(I),n(pe),n(S),n(me),n(q),n(fe),n(z),n(he),n(F),n(ce),n(ye),n(N)),n(r),c(y,e),c(g,e),c(w,e),c(C,e),c(k,e),c(T,e),c(U,e),c(E,e),c(J,e)}}}const Re='{"title":"Building a leaderboard using a template","local":"building-a-leaderboard-using-a-template","sections":[{"title":"📏 Contents","local":"-contents","sections":[],"depth":2},{"title":"🪛 Getting started","local":"-getting-started","sections":[{"title":"Setting up the front end","local":"setting-up-the-front-end","sections":[],"depth":3},{"title":"Setting up fake results to initialize the leaderboard","local":"setting-up-fake-results-to-initialize-the-leaderboard","sections":[],"depth":3},{"title":"Optional: Setting up the backend","local":"optional-setting-up-the-backend","sections":[],"depth":3}],"depth":2},{"title":"🔧 Tips and tricks","local":"-tips-and-tricks","sections":[],"depth":2}],"depth":1}';function Ze(ge){return Fe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ke extends Je{constructor(r){super(),Oe(this,r,Ze,Ge,qe,{})}}export{Ke as component};
