import{s as ye,n as xe,o as Ce}from"../chunks/scheduler.b108d059.js";import{S as _e,i as ke,g as s,s as o,r as H,A as Te,h as i,f as a,c as l,j as $e,u as M,x as r,k as we,y as Le,a as n,v as E,d as A,t as q,w as S}from"../chunks/index.008de539.js";import{H as z,E as Pe}from"../chunks/EditOnGithub.d1c48e3d.js";function He(se){let m,W,I,B,p,O,d,U,u,ie="<code>Leaderboards</code> are rankings of machine learning artefacts (most frequently generative models, but also embeddings, classifiers, …) depending on their performance on given tasks across relevant modalities.",j,c,re="They are commonly used to find the best model for a specific use case.",G,f,me='For example, for Large Language Models, the <a href="https://huggingface.co/spaces/HuggingFaceH4/open_llm_leaderboard" rel="nofollow">Open LLM Leaderboard</a> allows you to find the best base pre-trained models in English, using a range of academic evaluations looking at language understanding, general knowledge, and math, and the <a href="https://huggingface.co/spaces/lmsys/chatbot-arena-leaderboard" rel="nofollow">Chatbot Arena Leaderboard</a> provides a ranking of the best chat models in English, thanks to user votes on chat capabilities.',R,h,pe="So far on the Hub, we have leaderboards for text, image, video and audio generations, including specialised leaderboard for at least 10 natural (human) languages, and a number of capabilities such as math or code. We also have leaderboards evaluating more general aspects like energy performance or model safety.",D,g,de="Some specific leaderboards reflect human performance obtained through a human-based voting system, where people compare models and vote for the better one on a given task. These spaces are called <code>arenas</code>.",J,b,K,v,ue="There are certain things to keep in mind when using a leaderboard.",N,$,Q,w,ce="Much like in sports, where we have weight categories to keep rankings fair, when evaluating model artefacts, you want to compare similar items.",V,y,fe="For example, when comparing models, you want them to be",X,x,he="<li>in the same weight class (number of parameters): bigger models often have better performance than smaller ones, but they usually cost more to run and train (in money, time, and energy)</li> <li>at the same mathematical precision: the lower the precision of your model, the smaller and faster, but this can affect performance</li> <li>in the same category: pre-trained models are good generalist bases, where fine-tuned models are more specialised and better performing on specific tasks, and merged models tend to have scores higher than their actual performance.</li>",Y,C,Z,_,ge="Though good generalist machine learning models are becoming increasingly common, it’s not because an LLM is good at chess that it will output good poetry. If you want to select the correct model for your use case, you need to look at its scores and performance across a range of leaderboards and tasks, before testing it yourself to make sure it fits your needs.",ee,k,te,T,be="A number of evaluations are very easy to cheat, accidentally or not: if a model has already seen the data used for testing, its performance will be high “artificially”, and reflect memorisation rather than any actual capability on the task. This mechanism is called <code>contamination</code>.",ae,L,ve="Evaluations of closed source models are not always still accurate some time later: as closed source models are behind APIs, it is not possible to know how the model changes and what is added or removed through time (contrary to open source models, where relevant information is available). As such, you should not assume that a static evaluation of a closed source model at time t will still be valid some time later.",ne,P,oe,F,le;return p=new z({props:{title:"Introduction",local:"introduction",headingTag:"h1"}}),d=new z({props:{title:"🏅 What are leaderboards?",local:"-what-are-leaderboards",headingTag:"h2"}}),b=new z({props:{title:"⚖️ How to use leaderboards properly",local:"-how-to-use-leaderboards-properly",headingTag:"h2"}}),$=new z({props:{title:"1) Comparing apples to apples",local:"1-comparing-apples-to-apples",headingTag:"h3"}}),C=new z({props:{title:"2) Comparing across a spectrum of tasks",local:"2-comparing-across-a-spectrum-of-tasks",headingTag:"h3"}}),k=new z({props:{title:"3) Being careful about evaluation limitations, especially for models",local:"3-being-careful-about-evaluation-limitations-especially-for-models",headingTag:"h3"}}),P=new Pe({props:{source:"https://github.com/huggingface/leaderboards/blob/main/docs/source/en/leaderboards/intro.md"}}),{c(){m=s("meta"),W=o(),I=s("p"),B=o(),H(p.$$.fragment),O=o(),H(d.$$.fragment),U=o(),u=s("p"),u.innerHTML=ie,j=o(),c=s("p"),c.textContent=re,G=o(),f=s("p"),f.innerHTML=me,R=o(),h=s("p"),h.textContent=pe,D=o(),g=s("p"),g.innerHTML=de,J=o(),H(b.$$.fragment),K=o(),v=s("p"),v.textContent=ue,N=o(),H($.$$.fragment),Q=o(),w=s("p"),w.textContent=ce,V=o(),y=s("p"),y.textContent=fe,X=o(),x=s("ul"),x.innerHTML=he,Y=o(),H(C.$$.fragment),Z=o(),_=s("p"),_.textContent=ge,ee=o(),H(k.$$.fragment),te=o(),T=s("p"),T.innerHTML=be,ae=o(),L=s("p"),L.textContent=ve,ne=o(),H(P.$$.fragment),oe=o(),F=s("p"),this.h()},l(e){const t=Te("svelte-u9bgzb",document.head);m=i(t,"META",{name:!0,content:!0}),t.forEach(a),W=l(e),I=i(e,"P",{}),$e(I).forEach(a),B=l(e),M(p.$$.fragment,e),O=l(e),M(d.$$.fragment,e),U=l(e),u=i(e,"P",{"data-svelte-h":!0}),r(u)!=="svelte-k54rau"&&(u.innerHTML=ie),j=l(e),c=i(e,"P",{"data-svelte-h":!0}),r(c)!=="svelte-1quebb4"&&(c.textContent=re),G=l(e),f=i(e,"P",{"data-svelte-h":!0}),r(f)!=="svelte-109szb2"&&(f.innerHTML=me),R=l(e),h=i(e,"P",{"data-svelte-h":!0}),r(h)!=="svelte-wzq2x5"&&(h.textContent=pe),D=l(e),g=i(e,"P",{"data-svelte-h":!0}),r(g)!=="svelte-1lcx5hl"&&(g.innerHTML=de),J=l(e),M(b.$$.fragment,e),K=l(e),v=i(e,"P",{"data-svelte-h":!0}),r(v)!=="svelte-s67x6u"&&(v.textContent=ue),N=l(e),M($.$$.fragment,e),Q=l(e),w=i(e,"P",{"data-svelte-h":!0}),r(w)!=="svelte-ec6fs8"&&(w.textContent=ce),V=l(e),y=i(e,"P",{"data-svelte-h":!0}),r(y)!=="svelte-17r6h7u"&&(y.textContent=fe),X=l(e),x=i(e,"UL",{"data-svelte-h":!0}),r(x)!=="svelte-1vgdi8o"&&(x.innerHTML=he),Y=l(e),M(C.$$.fragment,e),Z=l(e),_=i(e,"P",{"data-svelte-h":!0}),r(_)!=="svelte-5e47mc"&&(_.textContent=ge),ee=l(e),M(k.$$.fragment,e),te=l(e),T=i(e,"P",{"data-svelte-h":!0}),r(T)!=="svelte-1uq49bx"&&(T.innerHTML=be),ae=l(e),L=i(e,"P",{"data-svelte-h":!0}),r(L)!=="svelte-av06z6"&&(L.textContent=ve),ne=l(e),M(P.$$.fragment,e),oe=l(e),F=i(e,"P",{}),$e(F).forEach(a),this.h()},h(){we(m,"name","hf:doc:metadata"),we(m,"content",Me)},m(e,t){Le(document.head,m),n(e,W,t),n(e,I,t),n(e,B,t),E(p,e,t),n(e,O,t),E(d,e,t),n(e,U,t),n(e,u,t),n(e,j,t),n(e,c,t),n(e,G,t),n(e,f,t),n(e,R,t),n(e,h,t),n(e,D,t),n(e,g,t),n(e,J,t),E(b,e,t),n(e,K,t),n(e,v,t),n(e,N,t),E($,e,t),n(e,Q,t),n(e,w,t),n(e,V,t),n(e,y,t),n(e,X,t),n(e,x,t),n(e,Y,t),E(C,e,t),n(e,Z,t),n(e,_,t),n(e,ee,t),E(k,e,t),n(e,te,t),n(e,T,t),n(e,ae,t),n(e,L,t),n(e,ne,t),E(P,e,t),n(e,oe,t),n(e,F,t),le=!0},p:xe,i(e){le||(A(p.$$.fragment,e),A(d.$$.fragment,e),A(b.$$.fragment,e),A($.$$.fragment,e),A(C.$$.fragment,e),A(k.$$.fragment,e),A(P.$$.fragment,e),le=!0)},o(e){q(p.$$.fragment,e),q(d.$$.fragment,e),q(b.$$.fragment,e),q($.$$.fragment,e),q(C.$$.fragment,e),q(k.$$.fragment,e),q(P.$$.fragment,e),le=!1},d(e){e&&(a(W),a(I),a(B),a(O),a(U),a(u),a(j),a(c),a(G),a(f),a(R),a(h),a(D),a(g),a(J),a(K),a(v),a(N),a(Q),a(w),a(V),a(y),a(X),a(x),a(Y),a(Z),a(_),a(ee),a(te),a(T),a(ae),a(L),a(ne),a(oe),a(F)),a(m),S(p,e),S(d,e),S(b,e),S($,e),S(C,e),S(k,e),S(P,e)}}}const Me='{"title":"Introduction","local":"introduction","sections":[{"title":"🏅 What are leaderboards?","local":"-what-are-leaderboards","sections":[],"depth":2},{"title":"⚖️ How to use leaderboards properly","local":"-how-to-use-leaderboards-properly","sections":[{"title":"1) Comparing apples to apples","local":"1-comparing-apples-to-apples","sections":[],"depth":3},{"title":"2) Comparing across a spectrum of tasks","local":"2-comparing-across-a-spectrum-of-tasks","sections":[],"depth":3},{"title":"3) Being careful about evaluation limitations, especially for models","local":"3-being-careful-about-evaluation-limitations-especially-for-models","sections":[],"depth":3}],"depth":2}],"depth":1}';function Ee(se){return Ce(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ze extends _e{constructor(m){super(),ke(this,m,Ee,He,ye,{})}}export{ze as component};
